com.oracle.truffle.api.instrument.impl

## Class DefaultEventReceiver

- java.lang.Object
- - com.oracle.truffle.api.instrument.impl.DefaultEventReceiver

All Implemented Interfaces:
  TruffleEventReceiver

    public class DefaultEventReceiver
    extends java.lang.Object
    implements TruffleEventReceiver

A receiver for AST execution events that provides a no-op implementation of every event.

### Constructor Summary

Constructors
Constructor and Description
`DefaultEventReceiver()`

### Method Summary

Methods
`void` `enter(Node node, VirtualFrame frame)` Receive notification that an AST node's execute method is about to be called.
`void` `returnExceptional(Node node, VirtualFrame frame, java.lang.Exception exception)` Receive notification that an AST Node's execute method has just thrown an exception.
`void` `returnValue(Node node, VirtualFrame frame, java.lang.Object result)` Receive notification that an AST Node'sexecute method has just returned a value (boxed if primitive).
`void` `returnVoid(Node node, VirtualFrame frame)` Receive notification that an AST Node's `void`-valued execute method has just returned.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultEventReceiver

    public DefaultEventReceiver()

### Method Detail

#### enter

    public void enter(Node node,
             VirtualFrame frame)

Description copied from interface: `TruffleEventReceiver`
Receive notification that an AST node's execute method is about to be called.

Specified by:
  `enter` in interface `TruffleEventReceiver`

#### returnVoid

    public void returnVoid(Node node,
                  VirtualFrame frame)

Description copied from interface: `TruffleEventReceiver`
Receive notification that an AST Node's `void`-valued execute method has just returned.

Specified by:
  `returnVoid` in interface `TruffleEventReceiver`

#### returnValue

    public void returnValue(Node node,
                   VirtualFrame frame,
                   java.lang.Object result)

Description copied from interface: `TruffleEventReceiver`
Receive notification that an AST Node'sexecute method has just returned a value (boxed if primitive).

Specified by:
  `returnValue` in interface `TruffleEventReceiver`

#### returnExceptional

    public void returnExceptional(Node node,
                         VirtualFrame frame,
                         java.lang.Exception exception)

Description copied from interface: `TruffleEventReceiver`
Receive notification that an AST Node's execute method has just thrown an exception.

Specified by:
  `returnExceptional` in interface `TruffleEventReceiver`